<section id="auth-root" [style.min-height.px]="height">
  <div id="header">
    <div id="logo-wrap">
      <img src="assets/images/logo.png" alt="IQD Logo">
    </div>

    <h1 id="header-title">{{authType}}</h1>
  </div>

  <form id="main" [formGroup]="formGroup">
    <div id="email-wrap">
      <label for="email">E-mail</label>
      <input id="email" type="email" formControlName="email">

      <!--Don't show err msg if no value has been entered by user-->
      <p id="emailErr" *ngIf="hasValErr('email')" class="err-feedback">{{presenter.INVALID_EMAIL}}</p>
    </div>

    <!--If not 'none', return display to CSS init value-->
    <div id="password-wrap" [style.display]="authType === AuthType.RESET ? 'none' : 'flex'">
      <label for="password">Password</label>
      <input id="password" type="password" formControlName="password">

      <!--Don't show err msg if no value has been entered by user-->
      <p id="pwErr" *ngIf="hasValErr('password')" class="err-feedback">{{presenter.INVALID_PW}}</p>
    </div>

    <button id="submit-btn" mat-raised-button color="primary"
            [disabled]="formGroup.invalid"
            type="button" (click)="onSubmit()">{{buttonTxt}}</button>

    <div id="reset-pw-wrap">
      <button id="reset-pw-btn" type="button" class="footer-nav"
              [style.display]="authType !== AuthType.SIGN_IN ? 'none' : 'block'"
              (click)="onResetPwClicked()">{{'Forgotten your password?'}}</button>
    </div>
  </form>

  <!--region Footer link-->
  <div id="footer" [ngSwitch]="authType">
    <!--<a> within button is necessary to wrap text when on multiple lines in lower width-->

    <!--TODO: Oddly, extracting button as a constant causes the <a> to lose :hover style - research why-->
    <ng-container *ngSwitchCase="AuthType.SIGN_IN">
      <button class="footer-nav-btn" type="button">
        <a class="footer-nav" (click)="onFooterNavClick()">Create an account</a>
        <a>{{' with IQD Frequency Products'}}</a> <!--{{}} adds white space between a tags-->
      </button>
    </ng-container>

    <ng-container *ngSwitchCase="AuthType.CREATE_ACC">
      <button class="footer-nav-btn" type="button">
        <a>Already have an account?</a>
        <a class="footer-nav" (click)="onFooterNavClick()">{{' Sign in'}}</a>
      </button>
    </ng-container>

    <ng-container *ngSwitchDefault>
      <button class="footer-nav-btn" type="button">
        <a>Return back to</a>
        <a class="footer-nav" (click)="onFooterNavClick()">{{' Sign in'}}</a>
      </button>
    </ng-container>
  </div>
  <!--endregion-->
</section>
